<?php
#PRODUTO		
if(isset($_POST['salvar_produto'])) {
	
$nome				=	$_POST['nome'];
$sku				=	$_POST['sku'];
$valor				=	str_replace(",",".", $_POST['valor']);
$valor_promocional	=	str_replace(",",".", $_POST['valor_promocional']);
$desc				=	$_POST['descricao'];
$desc_completa		=	$_POST['descricao_completa'];
$busca_interna		=	$_POST['busca_interna'];
$material			=	$_POST['material'];
$garantia			=	$_POST['garantia'];
$prazo				=	$_POST['prazo'];
$fabricante			=	$_POST['fabricante'];
$instrucoes			=	$_POST['instrucoes'];
$status				=	$_POST['status'];
$titulo_seo			=	$_POST['titulo_seo'];
$descricao_seo		=	$_POST['descricao_seo'];

if($_FILES['foto']['name'] === ""){
	$destino2 = "";
} else {
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	$sku."_".md5($arquivo).".jpg";
	$destino		=	"../images/produtos/principal/".$arquivo2;
	$destino2		=	$arquivo2;	

}

$url_seo		=   preg_replace("[^a-zA-Z0-9_]", "", strtr($_POST['url_seo'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC"));
$url_seon		=   strtr($_POST['nome'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC");

if($_POST['url_seo'] == ""){
	$url_seo		= toAscii($url_seon, '', '-');
} else {
	$url_seo	=	toAscii($url_seo, '', '-');
}

$select = mysql_query("SELECT * FROM tb_produto WHERE url_seo = '$url_seo'");
if(mysql_num_rows($select) > 0){
	$url_seo =	$url_seo."-".date("ms");
}


$insert	= "INSERT INTO tb_produto (nome, sku, preco, preco_promocional, descricao_curta, descricao_completa, imagem_principal, busca_interna, material, fabricante,  garantia, instrucoes, prazo, titulo_seo, desc_seo, url_seo, status) VALUES ('$nome', '$sku', '$valor', '$valor_promocional','$desc', '$desc_completa', '$destino2', '$busca_interna', '$material','$fabricante','$garantia', '$instrucoes', '$prazo', '$titulo_seo', '$desc_seo', '$url_seo', $status)";
if($query	= mysql_query($insert)){
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		WideImage::load($destino)->resize(380)->saveToFile('../images/produtos/principal/miniatura/'.$arquivo2);
		$destino	=	"../images/produtos/principal/miniatura/".$arquivo2;
		WideImage::load($destino)->saveToFile('../images/produtos/principal/miniatura/'.$arquivo2, 80);
	}

	if($_FILES['croqui']['name'] <> ""){
		move_uploaded_file($arquivo3, $destino3);	
	}

	$insertcod		=		mysql_insert_id();

	$id	=	mysql_insert_id();
		
$j = 0;

for($i = 0; $i < count($_POST["opcoescor"]); $i++) {


	  $value		=	$_POST["opcoescor"][$j];
	  $insertcor	=	"INSERT INTO tb_cor_prod (cod_cor, cod_prod) VALUES ($value, $insertcod)";
	  $querycor		=	mysql_query($insertcor);
	  $j++;

	  
     }

     for($i = 0; $i < count($_POST["categoria"]); $i++) {
  
	  $value				=	$_POST["categoria"][$i];
	  $insertcat			=	"INSERT INTO tb_prod_cat (cod_cat, cod_prod) VALUES ($value, $id)";
	  $querycat				=	mysql_query($insertcat);
	  
     }

     for($i = 0; $i < count($_POST["relacionados"]); $i++) {
  
	  $value				=	$_POST["relacionados"][$i];
	  $insertrel			=	"INSERT INTO tb_prod_relacionados (cod_prod, cod_prod_relacionado) VALUES ($id, $value)";
	  $queryrel				=	mysql_query($insertrel);
	  
     }

     for($i = 0; $i < count($_POST["opcoesetiquetas"]); $i++) {
  
	  $value				=	$_POST["opcoesetiquetas"][$i];
	  $insertetiqueta		=	"INSERT INTO tb_prod_etiqueta (cod_etiqueta, cod_prod) VALUES ($value, $id)";
	  $queryetiqueta		=	mysql_query($insertetiqueta);
	  
     }

    for($i = 0; $i < count($_POST["nomenclatura"]); $i++) {
  		if($_POST["nomenclatura"][$i] <> ""){
		  $nomenclatura		=	$_POST["nomenclatura"][$i];
		  $largurat				=	$_POST["largura2"][$i];
		  $alturat				=	$_POST["altura2"][$i];
		  $profundidadet		=	$_POST["profundidade2"][$i];
		  $pesotam				=	$_POST["peso"][$i];
		  if($_POST["precotam"][$i] <> ""){
		  $precotam				=	$_POST["precotam"][$i];
		} else { $precotam = 0; }
		  $tam_principal		=	$_POST["tamanho_principal"][$i];
		  $inserttam			=	"INSERT INTO tb_tam_prod (nomenclatura, cod_produto, largurat, alturat, profundidadet, peso, preco) VALUES ('$nomenclatura', $id, '$largurat', '$alturat',' $profundidadet', '$pesotam', '$precotam')";
		  $querytam				=	mysql_query($inserttam);
	  
     } }

echo "<p class='return-form'> Produto cadastrado.</p>";
	
	} else { 

	echo "<p class='return-form error'> Erro ao cadastrar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
	
#DELETAR PRODUTO

if(isset($_GET['del_prod'])) {

$delcod			=	$_GET['del_prod'];
$select			=  "SELECT * FROM tb_produto WHERE cod = $delcod";
$querysel			=	mysql_query($select);
$sqlsel			=	mysql_fetch_array($querysel);

if($sqlsel['imagem_principal'] <> ""){
unlink("../images/produtos/principal/".$sqlsel['imagem_principal']);	 
unlink("../images/produtos/principal/miniatura/".$sqlsel['imagem_principal']);	 
}

$delete 			= "DELETE FROM tb_produto WHERE cod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

$delfotos			= mysql_query("SELECT * FROM tb_prod_fotos WHERE cod_prod = $delcod");
while($sqldelfotos	=	mysql_fetch_array($delfotos)){
	unlink("../images/produtos/secundarias/".$sqldelfotos['imagem']);	 
	unlink("../images/produtos/secundarias/miniatura/".$sqldelfotos['imagem']);	 
}

$delete 			= "DELETE FROM tb_prod_fotos WHERE cod_prod = $delcod";
$querydel			=  mysql_query($delete) or die(mysql_error());

echo "<p class='return-form'>Produto excluido.</p>";

$deletecor			= "DELETE FROM tb_cor_prod WHERE cod_prod = $delcod";
	$querycor			=  mysql_query($deletecor) or die(mysql_error());
	
	$deletecam			= "DELETE FROM tb_prod_etiqueta WHERE cod_prod = $delcod";
	$querycam			=  mysql_query($deletecam) or die(mysql_error());
	
	$deletetam			= "DELETE FROM tb_tam_prod WHERE cod_produto = $delcod";
	$querytam			=  mysql_query($deletetam) or die(mysql_error());

	$deletecat			= "DELETE FROM tb_prod_cat WHERE cod_prod = $delcod";
	$querycat			=  mysql_query($deletecat) or die(mysql_error());

}



#EDITAR PRODUTO
if(isset($_POST['editar_produto'])){

$cod				=	$_POST['cod'];
$nome				=	$_POST['nome'];
$sku				=	$_POST['sku'];
$valor				=	str_replace(",",".", $_POST['valor']);
$valor_promocional	=	str_replace(",",".", $_POST['valor_promocional']);
$desc				=	$_POST['descricao'];
$desc_completa		=	$_POST['descricao_completa'];
$busca_interna		=	$_POST['busca_interna'];
$material			=	$_POST['material'];
$garantia			=	$_POST['garantia'];
$prazo				=	$_POST['prazo'];
$fabricante			=	$_POST['fabricante'];
$instrucoes			=	$_POST['instrucoes'];
$status				=	$_POST['status'];
$titulo_seo			=	$_POST['titulo_seo'];
$descricao_seo		=	$_POST['descricao_seo'];
$status				=	$_POST['status'];
$titulo_seo			=	$_POST['titulo_seo'];
$descricao_seo			=	$_POST['descricao_seo'];

if($_FILES['foto']['name'] === ""){
	$destino2 = $_POST['foto3'];
} else {
		
	$arquivo		=	$_FILES['foto']['tmp_name'];
	$arquivo2		=	$sku."_".md5($arquivo).".jpg";
	$destino		=	"../images/produtos/principal/".$arquivo2;
	$destino2		=	$arquivo2;	

}


$url_seo		=   preg_replace("[^a-zA-Z0-9_]", "", strtr($_POST['url_seo'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC"));
$url_seon		=   strtr($_POST['nome'], "áàãâéêíóôõúüûçÁÀÃÂÉÊÍÓÔÕÚÜÛÇ", "aaaaeeiooouuucAAAAEEIOOOUUUC");

if($_POST['url_seo'] == ""){
	$url_seo		= toAscii($url_seon, '', '-');
} else {
	$url_seo	=	toAscii($url_seo, '', '-');
}

$select = mysql_query("SELECT * FROM tb_produto WHERE url_seo = '$url_seo' AND cod <> $cod");
if(mysql_num_rows($select) > 0){
	$url_seo =	$url_seo."-".date("ms");
}

$update	= "UPDATE tb_produto SET nome = '$nome', sku = '$sku', preco = '$valor', preco_promocional = '$valor_promocional', imagem_principal = '$destino2', busca_interna = '$busca_interna', descricao_curta = '$desc', descricao_completa = '$desc_completa', material = '$material', fabricante = '$fabricante', garantia = '$garantia', instrucoes = '$instrucoes', prazo = '$prazo', titulo_seo = '$titulo_seo', desc_seo = '$descricao_seo', url_seo = '$url_seo', status = $status WHERE cod = $cod";

if($queryupdate	=	mysql_query($update)){


	
	
	if($_FILES['foto']['name'] <> ""){
		move_uploaded_file($arquivo, $destino);	
		WideImage::load($destino)->resize(380)->saveToFile('../images/produtos/principal/miniatura/'.$arquivo2);
		$destino	=	"../images/produtos/principal/miniatura/".$arquivo2;
		WideImage::load($destino)->saveToFile('../images/produtos/principal/miniatura/'.$arquivo2, 80);
		if($_POST['foto3'] <> ""){
			unlink("../images/produtos/principal/".$_POST['foto3']);
			unlink("../images/produtos/principal/miniatura/".$_POST['foto3']);
		}
	}

	
	echo "<p class='return-form'> Produto alterado.</p>";

$deletecor		=	"DELETE FROM tb_cor_prod WHERE cod_prod = $cod";
$deletecat		= "DELETE FROM tb_prod_cat WHERE cod_prod = $cod";
$deletetam			= "DELETE FROM tb_tam_prod WHERE cod_produto = $cod";
$deletecam			= "DELETE FROM tb_prod_etiqueta WHERE cod_prod = $cod";
$deleterel			= "DELETE FROM tb_prod_relacionados WHERE cod_prod = $cod";
if(mysql_query($deletecor) && mysql_query($deletecat) && mysql_query($deletetam) && mysql_query($deletecam) && mysql_query($deleterel)){

$j = 0;

for($i = 0; $i < count($_POST["opcoescor"]); $i++) {


	  $value		=	$_POST["opcoescor"][$j];

	  $insertcor	=	"INSERT INTO tb_cor_prod (cod_cor, cod_prod, preco) VALUES ($value, $cod, '$preco')";
	  $querycor		=	mysql_query($insertcor);
	  $j++;

	  
     }

     for($i = 0; $i < count($_POST["relacionados"]); $i++) {
  
	  $value				=	$_POST["relacionados"][$i];
	  $insertrel			=	"INSERT INTO tb_prod_relacionados (cod_prod, cod_prod_relacionado) VALUES ($cod, $value)";
	  $queryrel				=	mysql_query($insertrel);
	  
     }

for($i = 0; $i < count($_POST["categoria"]); $i++) {
	  $value				=	$_POST["categoria"][$i];
	  $insertcat			=	"INSERT INTO tb_prod_cat (cod_cat, cod_prod) VALUES ($value, $cod)";
	  $querycat				=	mysql_query($insertcat);
	  
     }

     for($i = 0; $i < count($_POST["opcoesetiquetas"]); $i++) {
  
	  $value				=	$_POST["opcoesetiquetas"][$i];
	  $insertetiqueta		=	"INSERT INTO tb_prod_etiqueta (cod_etiqueta, cod_prod) VALUES ($value, $cod)";
	  $queryetiqueta		=	mysql_query($insertetiqueta);
	  
     }

    for($i = 0; $i < count($_POST["nomenclatura"]); $i++) {
  		if($_POST["nomenclatura"][$i] <> ""){
		  $nomenclatura		=	$_POST["nomenclatura"][$i];
		  $largurat				=	$_POST["largura2"][$i];
		  $alturat				=	$_POST["altura2"][$i];
		  $profundidadet		=	$_POST["profundidade2"][$i];
		  $pesotam				=	$_POST["peso"][$i];
		  if($_POST["precotam"][$i] <> ""){
		  $precotam				=	$_POST["precotam"][$i];
		} else { $precotam = 0; }
		  $inserttam			=	"INSERT INTO tb_tam_prod (nomenclatura, cod_produto, largurat, alturat, profundidadet, peso, preco) VALUES ('$nomenclatura', $cod, '$largurat', '$alturat',' $profundidadet', '$pesotam', '$precotam')";
		  $querytam				=	mysql_query($inserttam);
	  
     } }

} else {
	echo "<p class='return-form error'> Erro caracteristicas. Informe o erro ao programador: <br />".mysql_error()."</p>";
}
	
	} else { 

	echo "<p class='return-form error'> Erro ao editar. Informe o erro ao programador: <br />".mysql_error()."</p>";
	
} }
?>